libdap::D4Dimension Class Reference

## Public Member Functions

int64_t | c_start () const
int64_t | c_stop () const
int64_t | c_stride () const
bool | constrained () const
| D4Dimension (const string &name, unsigned long long size, D4Dimensions *d=0)
string | fully_qualified_name () const
| Get the FQN for the dimension.
string | name () const
D4Dimensions * | parent () const
void | print_dap4 (XMLWriter &xml) const
| Print the Dimension declaration. Print the Dimension in a form suitable for use in a Group definition/declaration.
void | set_constraint (int64_t start, int64_t stride, int64_t stop)
void | set_name (const string &name)
void | set_parent (D4Dimensions *d)
void | set_size (const string &size)
void | set_size (unsigned long long size)
void | set_used_by_projected_var (bool state)
unsigned long long | size () const
bool | used_by_projected_var () const

## Detailed Description

Definition at line 41 of file D4Dimensions.h.

## Constructor & Destructor Documentation

## D4Dimension() [1/2]

libdap::D4Dimension::D4Dimension | ( |  | ) |

inline

Definition at line 53 of file D4Dimensions.h.

## D4Dimension() [2/2]

libdap::D4Dimension::D4Dimension | ( | const string & | name,
|  | unsigned long long | size,
|  | D4Dimensions * | d = 0 )

inline

Definition at line 56 of file D4Dimensions.h.

## Member Function Documentation

## c_start()

int64_t libdap::D4Dimension::c_start | ( |  | ) | const

inline

Definition at line 73 of file D4Dimensions.h.

## c_stop()

int64_t libdap::D4Dimension::c_stop | ( |  | ) | const

inline

Definition at line 75 of file D4Dimensions.h.

## c_stride()

int64_t libdap::D4Dimension::c_stride | ( |  | ) | const

inline

Definition at line 74 of file D4Dimensions.h.

## constrained()

bool libdap::D4Dimension::constrained | ( |  | ) | const

inline

Definition at line 72 of file D4Dimensions.h.

## fully_qualified_name()

string libdap::D4Dimension::fully_qualified_name | ( |  | ) | const

Get the FQN for the dimension.

Returns
  The D4Dimension as a fully qualified name.

Definition at line 54 of file D4Dimensions.cc.

## name()

string libdap::D4Dimension::name | ( |  | ) | const

inline

Definition at line 60 of file D4Dimensions.h.

## parent()

D4Dimensions * libdap::D4Dimension::parent | ( |  | ) | const

inline

Definition at line 69 of file D4Dimensions.h.

## print_dap4()

void libdap::D4Dimension::print_dap4 | ( | XMLWriter & | xml | ) | const

Print the Dimension declaration. Print the Dimension in a form suitable for use in a Group definition/declaration.

See also
  print_dap4(XMLWriter &xml, bool print_fqn)

Parameters

  xml | Print to this XMLWriter instance

Definition at line 79 of file D4Dimensions.cc.

## set_constraint()

void libdap::D4Dimension::set_constraint | ( | int64_t | start,
|  | int64_t | stride,
|  | int64_t | stop )

inline

Set this Shared Diemension's constraint. While an Array Dimension object uses a stop value of -1 to indicate the end of the dimension, this method does not support that; the caller will have to sort out the correct end value for 'stop'.

Parameters

  start | Starting index (zero-based)
  stride | The stride for the slice
  stop | The stopping index (never greater than size -1)

Definition at line 88 of file D4Dimensions.h.

## set_name()

void libdap::D4Dimension::set_name | ( | const string & | name | ) |

inline

Definition at line 61 of file D4Dimensions.h.

## set_parent()

void libdap::D4Dimension::set_parent | ( | D4Dimensions * | d | ) |

inline

Definition at line 70 of file D4Dimensions.h.

## set_size() [1/2]

void libdap::D4Dimension::set_size | ( | const string & | size | ) |

Definition at line 38 of file D4Dimensions.cc.

## set_size() [2/2]

void libdap::D4Dimension::set_size | ( | unsigned long long | size | ) |

inline

Definition at line 65 of file D4Dimensions.h.

## set_used_by_projected_var()

void libdap::D4Dimension::set_used_by_projected_var | ( | bool | state | ) |

inline

Definition at line 78 of file D4Dimensions.h.

## size()

unsigned long long libdap::D4Dimension::size | ( |  | ) | const

inline

Definition at line 64 of file D4Dimensions.h.

## used_by_projected_var()

bool libdap::D4Dimension::used_by_projected_var | ( |  | ) | const

inline

Definition at line 77 of file D4Dimensions.h.

The documentation for this class was generated from the following files:

- D4Dimensions.h
- D4Dimensions.cc